Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ActClassPublicHealthCase

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ActClassPublicHealthCase

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ActClassPublicHealthCase

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Act Class Public Health Case', and utility methods for working with them. specDomain: V11530 (C-0-D11527-V13856-V11529-V19580-V11530-cpt)

See Also:
  `CDAR2Package.getActClassPublicHealthCase()`

Field Summary
`static int` | `CASE` The 'CASE' literal value.
`static ActClassPublicHealthCase` | `CASE_LITERAL` The 'CASE' literal object.
`static int` | `OUTB` The 'OUTB' literal value.
`static ActClassPublicHealthCase` | `OUTB_LITERAL` The 'OUTB' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Act Class Public Health Case' enumerators.

Method Summary
`static ActClassPublicHealthCase` | `get(int value)` Returns the 'Act Class Public Health Case' literal with the specified integer value.
`static ActClassPublicHealthCase` | `get(java.lang.String literal)` Returns the 'Act Class Public Health Case' literal with the specified literal value.
`static ActClassPublicHealthCase` | `getByName(java.lang.String name)` Returns the 'Act Class Public Health Case' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CASE

    public static final int CASE

  The 'CASE' literal value.

  If the meaning of 'CASE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CASE_LITERAL`, Constant Field Values

### OUTB

    public static final int OUTB

  The 'OUTB' literal value.

  If the meaning of 'OUTB' literal object isn't clear, there really should be more of a description here...

  See Also:
    `OUTB_LITERAL`, Constant Field Values

### CASE_LITERAL

    public static final ActClassPublicHealthCase CASE_LITERAL

  The 'CASE' literal object.

  See Also:
    `CASE`

### OUTB_LITERAL

    public static final ActClassPublicHealthCase OUTB_LITERAL

  The 'OUTB' literal object.

  See Also:
    `OUTB`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Act Class Public Health Case' enumerators.

Method Detail

### get

    public static ActClassPublicHealthCase get(java.lang.String literal)

  Returns the 'Act Class Public Health Case' literal with the specified literal value.

### getByName

    public static ActClassPublicHealthCase getByName(java.lang.String name)

  Returns the 'Act Class Public Health Case' literal with the specified name.

### get

    public static ActClassPublicHealthCase get(int value)

  Returns the 'Act Class Public Health Case' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD